#include "libphprng.h"
#include "wrapper.h"

class Ns2Wrapper : Wrapper{

private:
  PhGen * prng;

public:
  Ns2Wrapper() {
    prng = new AphGen("test.aph");
    
    prng->setUniformRandomSource(&Ns2Wrapper::uniform);
  }
  
  double uniform(double a, double b) {
    return 1;
  }

}


int main () {

  ns2wrapper nsw;

  return 0;
}
